﻿using UnityEngine;
using System.Collections;

public class ThrusterOriginal : MonoBehaviour {


    public float speed;
    private ParticleSystem particles;

    [HideInInspector]
    public Rigidbody2D rigid;
    // Use this for initialization
    void Start() {
        rigid = GetComponent<Rigidbody2D>();
        particles = GetComponentInChildren<ParticleSystem>();

        particles.enableEmission = false;
    }

    // Update is called once per frame
    void FixedUpdate() {
        if (Input.anyKey) {
            rigid.AddForceAtPosition(transform.right * speed, transform.position, ForceMode2D.Impulse);
            particles.enableEmission = true;

        } else {
            particles.enableEmission = false;
        }


    }

}
